Digital Humans
PUT /v1/update-digital-human/{digital_human_id}
Update a Digital Human.
PUT /v1/update-digital-human/{digital_human_id}
curl --request PUT \
--url https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}import requests
url = "https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_bodyUpdates a Digital Human. Validation uses the
tag in the body. If you do not send tag, validation uses the stored tag.
success_criteria is one string with a bullet per line. Sending it replaces every bullet.
persona_ids sets the personas the Digital Human runs as: once as each, or once as the baseline with []. Leave it out to keep them as they are. An ID that is not a persona in your organization returns 400.
Path parameters
Headers
Request body
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
400 | Invalid request, such as a phone number or persona that is not in your organization |
422 | Validation Error |
Example request
curl --request PUT \
--url https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id} \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"intent": "<string>",
"success_criteria": "<string>",
"name": "<string>",
"tag": "<string>",
"tags": [
"<string>"
],
"type": "voicemail_custom",
"language": "en",
"accent": "multilingual",
"gender": "male",
"custom_voice_id": "<string>",
"background_noise": "none",
"custom_background_noise_url": "<string>",
"voice_speed": "slowest",
"audio_quality": "high",
"fluency": "beginner",
"verbosity": "low",
"phone_number": "<string>",
"extension": "<string>",
"outbound_text_number": "<string>",
"background_noise_volume": 1.5,
"expected_tool_calls": [
{
"name": "<string>",
"parameters": {},
"output": null
}
],
"allow_end_call_tool": true,
"allow_silence_tool": true,
"allow_dtmf_tool": true,
"default_dtmf_or_voiced": "voiced",
"silence_tool_instructions": "<string>",
"endpointing_delay": 1.5,
"creativity": 1.5,
"hangup_phrases": [
"<string>"
],
"hangup_instructions": "<string>",
"silence_timeout": 123,
"simulation_ids": [
123
],
"traits": [
{
"trait_name": "<string>",
"trait_data_type": "BOOLEAN",
"value": null,
"is_sip_header": false
}
],
"traits_mode": "replace",
"interruptions": {
"type": "none"
},
"scripted_responses": [
{
"match_type": "exact",
"match_phrase": "<string>",
"response_type": "phrase",
"response_value": "<string>",
"scripted_response_audio_snippet_url": "<string>",
"occurrence_mode": "always",
"occurrence_n": 123,
"silence_duration": 123
}
],
"scripted_responses_ordered": true,
"role_description": "<string>",
"speaks_first_config": {
"speaks_first": true,
"mode": "custom",
"message": "<string>",
"dynamic": true
},
"original_transcript": "<string>",
"formatted_transcript": [
{
"key": "<string>"
}
],
"enriched_playback": [
{}
],
"num_runs": 123,
"livekit_metadata": {},
"provider_request_data": {},
"always_on_mode": true,
"always_on_active": true,
"test_name": "<string>",
"journey_steps": [
{
"step": 123,
"intent": "",
"success_criteria": "",
"modality": "voice",
"direction": "inbound",
"wait_seconds": 123,
"response_window_seconds": 123,
"unresponsive": false,
"phone_number": "<string>"
}
],
"override_conflict": false,
"system_prompt_rule_ids": [
"<string>"
],
"system_prompt_rule_quotes": [
"<string>"
],
"workflow_v2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_path_index": 123,
"tested_path": [
"<string>"
],
"attack_vector": "<string>",
"attack_type": "<string>",
"attack_plan": {},
"persona_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}'
Example response
200
{
"digital_human": {
"id": 123,
"bluejay_as_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intent": "<string>",
"success_criteria": "<string>",
"tag": "<string>",
"tags": [
"<string>"
],
"type": "voicemail_custom",
"system_prompt_rule_ids": [
"<string>"
],
"system_prompt_rule_quotes": [
"<string>"
],
"name": "<string>",
"language": "en",
"accent": "multilingual",
"gender": "male",
"custom_voice_id": "<string>",
"background_noise": "<string>",
"custom_background_noise_url": "<string>",
"voice_speed": "<string>",
"audio_quality": "<string>",
"fluency": "<string>",
"verbosity": "<string>",
"phone_number": "<string>",
"extension": "<string>",
"outbound_text_number": "<string>",
"websocket_url": "<string>",
"background_noise_volume": 1.5,
"expected_tool_calls": [
{
"name": "<string>",
"parameters": {},
"output": null
}
],
"allow_end_call_tool": true,
"allow_silence_tool": true,
"allow_dtmf_tool": true,
"default_dtmf_or_voiced": "voiced",
"silence_tool_instructions": "default",
"endpointing_delay": 1.5,
"creativity": 1.5,
"hangup_phrases": [
"<string>"
],
"hangup_instructions": "<string>",
"silence_timeout": 123,
"role_description": "<string>",
"created_at": "2026-01-01T00:00:00Z",
"traits": [
{
"trait_name": "<string>",
"trait_data_type": "BOOLEAN",
"value": null,
"is_sip_header": false
}
],
"interruptions": {},
"scripted_responses": [
{
"match_type": "exact",
"match_phrase": "<string>",
"response_type": "phrase",
"response_value": "<string>",
"scripted_response_audio_snippet_url": "<string>",
"occurrence_mode": "always",
"occurrence_n": 123,
"silence_duration": 123
}
],
"scripted_responses_ordered": false,
"speaks_first_config": {
"speaks_first": true,
"mode": "custom",
"message": "<string>",
"dynamic": true
},
"original_transcript": "<string>",
"formatted_transcript": [
{
"key": "<string>"
}
],
"enriched_playback": [
{}
],
"workflow_v2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_path_index": 123,
"tested_path": [
"<string>"
],
"livekit_metadata": {},
"provider_request_data": {},
"test_name": "<string>",
"journey_steps": [
{
"step": 123,
"intent": "",
"success_criteria": "",
"modality": "voice",
"direction": "inbound",
"wait_seconds": 123,
"response_window_seconds": 123,
"unresponsive": false,
"phone_number": "<string>"
}
],
"always_on_mode": true,
"always_on_active": false,
"num_runs": 1,
"persona_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"attack_vector": "<string>",
"attack_type": "<string>",
"attack_plan": {}
},
"simulation_ids": [
123
],
"simulation_id": 123,
"warning": "<string>"
}
Last modified on November 13, 2026
⌘I
PUT /v1/update-digital-human/{digital_human_id}
curl --request PUT \
--url https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}import requests
url = "https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/update-digital-human/{digital_human_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_body